> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create files

> Creates a new files object with the specified parameters.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /files
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /files:
    post:
      tags:
        - files
      summary: Create files
      description: Creates a new files object with the specified parameters.
      operationId: createfiles
      requestBody:
        description: The files entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/files'
        required: true
      responses:
        '201':
          description: files created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/files'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    files:
      type: object
      properties:
        ConnectorId:
          description: The id of the connector.
          type: string
        PortId:
          description: The id of the port.
          type: string
        Folder:
          description: The folder of the file.
          type: string
        Filename:
          description: The name of the file.
          type: string
        MessageId:
          description: >-
            The message id of the file. This will only have a value if the file
            is a message.
          type: string
        Subfolder:
          description: The subfolder of the file.
          type: string
        TimeCreated:
          description: The time the file was created.
          type: string
          format: date-time
        FilePath:
          description: The full path to the file.
          type: string
        FileSize:
          description: The size of the file.
          type: integer
          format: int32
        Content:
          description: >-
            The Base64 encoded file contents. This will only be returned when a
            specific file is requested. This field cannot be used when filtering
            results using the $filter parameter.
          type: string
        BatchGroupId:
          description: The batch group message Id.
          type: string
        IsBatchGroup:
          description: Whether or not the message is a batch group message.
          type: boolean
      required:
        - ConnectorId
        - Folder
        - Filename
        - MessageId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````